VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "DPC_CEBE"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private mstrIdentNr As String
Private mlngProductCat As Long
Private mlngMaterial As Long
Private mlngCoated As Long
Private mlngSurface As Long
Private mbolPerforated As Boolean
Private mlngHolediameter As Double
Private mlngDamming As Long
Private mbolJointstrip As Boolean
'Private mbolInsert As Boolean
Private mstrCEError As String
Private mstrCENumber As String
Private mstrCENumber2 As String
Private mstrCENumber3 As String
Private mstrCENumber4 As String
Private mstrCENumber5 As String
Private mstrCENumber6 As String
Private mstrCENumber7 As String
Private mstrCENumber8 As String
Private mstrPerf As String
Private mstrError As String


' ReturnValue (= Fehler)
Public Property Get CEError() As String
        CEError = mstrCEError
End Property

Public Property Let CEError(ByVal Value As String)
        mstrCEError = Value
End Property
'Error
Public Property Get ErrorMessage() As String
        ErrorMessage = mstrError
End Property

'Identnr
Public Property Get IdentNr() As String
        IdentNr = mstrIdentNr
End Property

Public Property Let IdentNr(ByVal Value As String)
        mstrIdentNr = Value
End Property
    
'Produktkategorie
Public Property Get ProductCategory() As Long
        ProductCategory = mlngProductCat
End Property

Public Property Let ProductCategory(ByVal Value As Long)
        mlngProductCat = Value
End Property

' Material
Public Property Get Material() As Long
        Material = mlngMaterial
End Property

Public Property Let Material(ByVal Value As Long)
        mlngMaterial = Value
End Property

' Beschichted
Public Property Get Coated() As Long
        Coated = mlngCoated
End Property

Public Property Let Coated(ByVal Value As Long)
        mlngCoated = Value
End Property

' Oberfläche
Public Property Get Surface() As Long
        Surface = mlngSurface
End Property

Public Property Let Surface(ByVal Value As Long)
        mlngSurface = Value
End Property

' Perforiert?
Public Property Get Perforated() As Boolean
        Perforated = mbolPerforated
End Property

Public Property Let Perforated(ByVal Value As Boolean)
        mbolPerforated = Value
End Property

' Lochdurchmesser
Public Property Get Holediameter() As Long
        Holediameter = mlngHolediameter
End Property

Public Property Let Holediameter(ByVal Value As Long)
        mlngHolediameter = Value
End Property

' Perforation
Public Property Get Perforation() As String
        Perforation = mstrPerf
End Property

Public Property Let Perforation(ByVal Value As String)
        mstrPerf = Value
End Property
    
' Schalldämm-Material
Public Property Get DammingMaterial() As Long
        DammingMaterial = mlngDamming
End Property

Public Property Let DammingMaterial(ByVal Value As Long)
        mlngDamming = Value
End Property

' Fugenband?
Public Property Get Jointstrip() As Boolean
        Jointstrip = mbolJointstrip
End Property

Public Property Let Jointstrip(ByVal Value As Boolean)
        mbolJointstrip = Value
End Property

'' Einlage?
'Public Property Insert() As Boolean
'    Get
'        Return mbolInsert
'    End Get
'    Set(ByVal Value As Boolean)
'        mbolInsert = Value
'    End Set
'End Property

' ReturnValue (= CE Number)
Public Property Get CENumber() As String
        CENumber = mstrCENumber
End Property

Public Property Let CENumber(ByVal Value As String)
        mstrCENumber = Value
End Property

' ReturnValue (= Prüfzertifikatsnummer)
Public Property Get PrüfzertifikatsNummer() As String
        PrüfzertifikatsNummer = mstrCENumber2
End Property

Public Property Let PrüfzertifikatsNummer(ByVal Value As String)
        mstrCENumber2 = Value
End Property

' ReturnValue (= Produkttyp)
Public Property Get Produkttyp() As String
        Produkttyp = mstrCENumber3
End Property
    
Public Property Let Produkttyp(ByVal Value As String)
        mstrCENumber3 = Value
End Property
' ReturnValue (= Leistungserklärung)
Public Property Get Leistungserklärung() As String
        Leistungserklärung = mstrCENumber4
End Property

Public Property Let Leistungserklärung(ByVal Value As String)
        mstrCENumber4 = Value
End Property

' ReturnValue (= Schallabsorption)
Public Property Get Schallabsorption() As String
        Schallabsorption = mstrCENumber5
End Property

Public Property Let Schallabsorption(ByVal Value As String)
        mstrCENumber5 = Value
End Property

' ReturnValue (= Wärmeleitfähigkeit)
Public Property Get Wärmeleitfähigkeit() As String
        Wärmeleitfähigkeit = mstrCENumber6
End Property

Public Property Let Wärmeleitfähigkeit(ByVal Value As String)
        mstrCENumber6 = Value
End Property

' ReturnValue (= Haltbarkeit)
Public Property Get Haltbarkeit() As String
        Haltbarkeit = mstrCENumber7
End Property

Public Property Let Haltbarkeit(ByVal Value As String)
        mstrCENumber7 = Value
End Property

' ReturnValue (= Emission)
Public Property Get Emission() As String
        Emission = mstrCENumber8
End Property

Public Property Let Emission(ByVal Value As String)
        mstrCENumber8 = Value
End Property


    Public Function MAINCE() As Boolean

        On Error Resume Next

        mstrError = ""
        MAINCE = True
        
        mstrCENumber2 = ""
        mstrCENumber = ""

        Call funCheckValues

        If mstrError <> "" Then
            MAINCE = False
            Exit Function
        End If

        Call funGetReturnValue

    End Function
    Public Function gfunGetReturnValue() As Boolean

        ' ---------------------------------------------------------------------------------
        ' Abbildung "Entscheidungstabelle für Brandklasse von UK und Deckenplatten_30.04.05"
        ' Created 13.10.2005 / Silvano Hardegger
        ' UPDATE  01.12.2005 / "
        ' UPDATE 04.12.2006 / Evi Luger
        ' UPDATE 14.08.2009 / Evi Luger CE-Wert-Programmanpassung
        ' UPDATE 14.09.2009 / Evi Luger VLSX/DS/DSX
        ' UPDATE 18.12.2012 / Evi Luger Royalin Fleece VLSR
        ' UPDATE 25.06.2013 / Evi Luger Lagerartikel CE-Wert Anpassung
        ' ---------------------------------------------------------------------------------

        On Error Resume Next

        CENumber = ""

        If ProductCategory = 1 Then
            ' UK-Teil
            Call funGetValueUK
        ElseIf ProductCategory = 2 Then
            ' Deckenplatten
            If Material = 1 Then
                ' Alu
                Call funGetValueDeckenALU
            ElseIf Material = 2 Then
                ' Stahl
                Call funGetValueDeckenStahl
            ElseIf Material = 3 Then
                ' not defined
                CENumber = "NPD"
                PrüfzertifikatsNummer = "."

            End If
        End If
        If CENumber = "" Or PrüfzertifikatsNummer = "" Then

            CEError = "Fehler in Berechnung"
            gfunGetReturnValue = False
        Else
            CEError = ""
            gfunGetReturnValue = True
        End If
    End Function

    Private Function funCheckValues()

        Dim lstrErrMessage As String

        On Error Resume Next

            ' -------------------------------------------------------------------------
            'Produktkategorie / Possible (1/2)
            ' -------------------------------------------------------------------------
            ' 1 = UK-Teil
            ' 2 = Deckenplatten
            ' -------------------------------------------------------------------------

            If Not CLng(mlngProductCat) = 1 And Not CLng(mlngProductCat) = 2 Then
                lstrErrMessage = "Produktkategorie: " & CStr(mlngProductCat)
            End If

            ' -------------------------------------------------------------------------
            'Material / Possible (1/2/3)
            ' -------------------------------------------------------------------------
            ' 1 = Alu
            ' 2 = Stahl
            ' 3 = Unbestimmt
            ' -------------------------------------------------------------------------

            If Not CLng(mlngMaterial) = 1 And Not CLng(mlngMaterial) = 2 And _
                Not CLng(mlngMaterial) = 3 Then
                lstrErrMessage = lstrErrMessage & "Material: " & CStr(mlngMaterial)
            End If


            ' -------------------------------------------------------------------------
            'Beschichtet
            ' -------------------------------------------------------------------------
            ' 0 = Nein
            ' 1 = Ja/einseitig
            ' 2 = beidseitig
            ' 3 = allseitig (noch nicht aktiv...)
            ' -------------------------------------------------------------------------

            If Not CLng(mlngCoated) = 0 And Not CLng(mlngCoated) = 1 And Not _
                CLng(mlngCoated) = 2 And Not CLng(mlngCoated) = 3 Then
                lstrErrMessage = lstrErrMessage & "Beschichted: " & CStr(mlngCoated)
            End If

            '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
            ' Evi Luger / 04.12.06 / Ergänzung um 0 (unbeschichtet)
            ' Evi Luger / 14.08.09 / Ergänzung um DS / DSX Dünnschicht
            ' -------------------------------------------------------------------------
            'Oberfläche / Possible (0/1/2/3/4/5/6)
            ' -------------------------------------------------------------------------
            ' 0 = unbeschichtet
            ' 1 = Pulver
            ' 2 = Nasslack
            ' 3 = Eloxiert
            ' 4 = CC
            ' 5 = Dünnschicht DS
            ' 6 = Dünnschicht DSX
            ' -------------------------------------------------------------------------
            If Not CLng(mlngSurface) = 0 And Not CLng(mlngSurface) = 1 And Not CLng(mlngSurface) = 2 And Not CLng(mlngSurface) = 3 And _
                            Not CLng(mlngSurface) = 4 And Not CLng(mlngSurface) = 5 And Not CLng(mlngSurface) = 6 Then
                lstrErrMessage = lstrErrMessage & "Oberfläche: " & CStr(mlngSurface)
            End If

            ' -------------------------------------------------------------------------
            'Perforiert / Possible (0/1)
            ' -------------------------------------------------------------------------
            ' 1 = Ja
            ' 0 = Nein
            ' -------------------------------------------------------------------------

            If Not CLng(mbolPerforated) = 0 And Not CLng(mbolPerforated) = 1 _
                And Not CLng(mbolPerforated) = -1 Then
                lstrErrMessage = lstrErrMessage & "Perforiert: " & CStr(mbolPerforated)
            End If


            ' -------------------------------------------------------------------------
            'Lochdurchmesser mm / Possible (0.1 - 100)
            ' -------------------------------------------------------------------------

            If Not CLng(mlngHolediameter) >= CLng(0) Or Not CLng(mlngHolediameter) < CLng(1000) Then
                lstrErrMessage = lstrErrMessage & "Lochdurchmesser: " & CStr(mlngHolediameter)
            End If

            ' Evi Luger / Ergänzung von 5 / 6 VLSX/AFBT / 14.08.09
            ' Evi Luger / Ergänzung von 7 / 18.12.12
            ' -------------------------------------------------------------------------
            'Schalldämmmaterial / Possible (0/1/2/3/4/5/6/7)
            ' -------------------------------------------------------------------------
            ' 0 = Kein
            ' 1 = VLS
            ' 2 = AM
            ' 3 = AMPK
            ' 4 = B15
            ' 5 = VLSX
            ' 6 = AFBT
            ' 7 = VLSR
            ' -------------------------------------------------------------------------

            If Not CLng(mlngDamming) = 0 And Not CLng(mlngDamming) = 1 And Not _
                CLng(mlngDamming) = 2 And Not CLng(mlngDamming) = 3 And Not CLng(mlngDamming) = 4 And Not _
                CLng(mlngDamming) = 5 And Not CLng(mlngDamming) = 6 And Not CLng(mlngDamming) = 7 Then
                lstrErrMessage = lstrErrMessage & "Schalldämmmaterial: " & CStr(mlngDamming)
            End If


            ' -------------------------------------------------------------------------
            'Fugenband / Possible (0/1)
            ' -------------------------------------------------------------------------
            ' 1 = Ja
            ' 0 = Nein
            ' -------------------------------------------------------------------------

            If Not CLng(mbolJointstrip) = 0 And Not CLng(mbolJointstrip) = 1 _
                And Not CLng(mbolJointstrip) = -1 Then
                lstrErrMessage = lstrErrMessage & "Fugenband: " & CStr(mbolJointstrip)
            End If


            ' -------------------------------------------------------------------------
            'Identnr / Possible(1/2) / Evi Luger / neu ab 25.6.2013
            ' -------------------------------------------------------------------------
            ' 1 = Lagerartikel
            ' 2 = Nicht Lagerartikel
            ' -------------------------------------------------------------------------

            If Not CLng(mstrIdentNr) = 1 And Not CLng(mstrIdentNr) = 2 Then
                lstrErrMessage = lstrErrMessage & "Identnr: " & CStr(mstrIdentNr)
            End If


        mstrError = lstrErrMessage

    End Function





    'Private Function funGetReturnValue()
    '    If Material = 0 Then
    '        sql = "alu"

    '    End If
    'End Function


    Private Function funGetReturnValue()

        ' ---------------------------------------------------------------------------------
        ' Abbildung "Entscheidungstabelle für Brandklasse von UK und Deckenplatten_30.04.05"
        ' Created 13.10.2005 / Silvano Hardegger
        ' UPDATE  01.12.2005 / "
        ' UPDATE 04.12.2006 / Evi Luger - Ergänzung Beschichtung 0
        ' UPDATE 06.12.2006 / Evi Luger - Ergänzung Werte für Beschichtung 0
        ' UPDATE 13.02.2007 / Evi Luger / "Änderung der Berechnung aufgrund der neuen ET"
        ' UPDATE 14.08.2009 / Evi Luger / "Änderung der Berechnung aufgrund der neuen ET VLSX/DSX"
        ' UPDATE 18.12.2012 / Evi Luger / "Änderung der Berechnung aufgrund der neuen ET VLSR"
        ' ---------------------------------------------------------------------------------

        On Error Resume Next

            CENumber = ""

            If ProductCategory = 1 Then
                ' UK-Teil
                Call funGetValueUK
            ElseIf ProductCategory = 2 Then
                ' Deckenplatten
                If Material = 1 Then
                    ' Alu
                    Call funGetValueDeckenALU
                ElseIf Material = 2 Then
                    ' Stahl
                    Call funGetValueDeckenStahl
                ElseIf Material = 3 Then
                    ' not defined
                    CENumber = "NPD"
                End If
            End If

    End Function

    Private Function funGetValueDeckenStahl()

        ' Deckenplatten - Stahl
        ' -------------------------------------------

        On Error Resume Next

            ' Globaler Wert - gültig für alle Deckenplatten
            Emission = "E1"
            If Coated = 1 Then
                Haltbarkeit = "B"
            ElseIf Coated = 2 Then
                Haltbarkeit = "C"
            ElseIf Coated = 3 Then
                Haltbarkeit = "C"
            Else
                Haltbarkeit = ""
            End If

            'Schallabsorption und Wärmeleitfähigkeit
            Schallabsorption = ""
            Wärmeleitfähigkeit = ""
            If Perforated = False Then
                Schallabsorption = "aw = 0,10(L)"
                Wärmeleitfähigkeit = "0,244"
            End If
            If Perforation = "RG4022" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG0701" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,55(L)"
                    Wärmeleitfähigkeit = "0,163"
                Else
                    Schallabsorption = "aw = 0,35"
                    Wärmeleitfähigkeit = "NPD"
                End If
            ElseIf Perforation = "RG2516" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                Else
                    Schallabsorption = "aw = 0,15"
                    Wärmeleitfähigkeit = "NPD"
                End If
            ElseIf Perforation = "RD1522" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                Else
                    Schallabsorption = "aw = 0,15"
                    Wärmeleitfähigkeit = "NPD"
                End If
            ElseIf Perforation = "RD1506" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4006" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4011" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG1511" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG3013" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4015" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG12515" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RV1517" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD1506" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG3529" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG20034" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD2535" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4045" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,65"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "LV27045" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "TV26845" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,65"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RV4058" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,60"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG10059" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,65"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG10565" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,60"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG14023" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            End If

            ''''''''''''''''''''''''''''''''''''''''''''''''''''
            ' Evi Luger / 4.12.06 / auf =0 erweitert
            ' Beschichted
            If Coated >= 0 Then
                If Surface = 2 Then
                    CENumber = "NPD"
                    PrüfzertifikatsNummer = "."
                End If
                If Surface = 3 Then
                    CENumber = "NPD"
                    PrüfzertifikatsNummer = "."
                End If
                If Surface = 4 Then
                    CENumber = "NPD"
                    PrüfzertifikatsNummer = "."
                End If
            End If

            If Coated = 0 Or 1 Then
                ' Oberfläche

                If Surface = 0 Then
                    CENumber = "A1"
                    PrüfzertifikatsNummer = "2000/147/EG"
                    Leistungserklärung = "ARM 2.01"
                    Produkttyp = "T 2.01"
                    If Jointstrip = True Then
                        CENumber = "B-s1,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0027"
                    Else
                        CENumber = "A1"
                        PrüfzertifikatsNummer = "2000/147/EG"
                        Leistungserklärung = "ARM 2.01"
                        Produkttyp = "T 2.01"
                    End If
                ElseIf Surface = 1 Then
                    If Jointstrip = True Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                    Else
                        CENumber = "A2-s1,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0040"
                        Leistungserklärung = "ARM 2.02"
                        Produkttyp = "T 2.02"
                    End If
                End If
            End If

            ''''''''''''''''''''''''''''
            ' Evi / 15.09.2009 / wenn beidseitig beschichtet
            '                   gelten für PU/DS/DSX die selben Werte

            If Coated = 2 Then ' beidseitig
                If Surface = 1 Or 5 Or 6 Then
                    If Perforated = True Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                    Else
                        If Jointstrip = False Then
                            CENumber = "A2-s1,d0"
                            PrüfzertifikatsNummer = "1121-CPR-BC0019"
                            Leistungserklärung = "ARM 2.02"
                            Produkttyp = "T 2.02"
                        Else
                            CENumber = "C-s2,d0"
                            PrüfzertifikatsNummer = "1121-CPR-BC0021"
                            Leistungserklärung = "ARM 2.06"
                            Produkttyp = "T 2.06"
                        End If
                    End If
                End If
            End If

            If Coated = 1 Then
                If Surface = 1 Then
                    ' Perforiert?

                    'If Perforated = True Then

                    ''''''''''''''''''''''''''''
                    ' HAR / 19.01.2006 / new part
                    If Coated = 3 Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                        Exit Function
                    End If
                    ''''''''''''''''''''''''''''
                    '
                    ' Lochdurchmesser
                    If Holediameter < 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0019"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then

                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0020"
                                Leistungserklärung = "ARM 2.03"
                                Produkttyp = "T 2.03"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = ""
                                PrüfzertifikatsNummer = "NPD"
                            Else
                                CENumber = ""
                                PrüfzertifikatsNummer = "NPD"
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0040"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        End If

                    ElseIf Holediameter >= 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0019"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If
                    End If
                End If
            End If

            If Coated = 1 Then
                If Surface = 5 Then
                    ' Perforiert?
                    'If Perforated = True Then

                    ''''''''''''''''''''''''''''
                    ' HAR / 19.01.2006 / new part
                    If Coated = 3 Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                        Exit Function
                    End If
                    ''''''''''''''''''''''''''''
                    '
                    ' Lochdurchmesser
                    If Holediameter < 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0035"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                            If Perforated = True Then
                                If Jointstrip = True Then
                                    CENumber = "B-s1,d0"
                                    PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                    Leistungserklärung = "ARM 2.04"
                                    Produkttyp = "T 2.04"
                                Else
                                    CENumber = "A1"
                                    PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                    Leistungserklärung = "ARM 2.01"
                                    Produkttyp = "T 2.01"
                                End If
                            End If
                        ElseIf DammingMaterial = 1 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0020"
                                Leistungserklärung = "ARM 2.03"
                                Produkttyp = "T 2.03"
                            End If
                        ElseIf DammingMaterial = 2 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0040"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 5 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0020"
                                Leistungserklärung = "ARM 2.03"
                                Produkttyp = "T 2.03"
                            End If
                        ElseIf DammingMaterial = 6 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0039"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 7 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0040"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        End If

                    ElseIf Holediameter >= 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0035"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                            If Perforated = True Then
                                If Jointstrip = True Then
                                    CENumber = "B-s1,d0"
                                    PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                    Leistungserklärung = "ARM 2.04"
                                    Produkttyp = "T 2.04"
                                Else
                                    CENumber = "A1"
                                    PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                    Leistungserklärung = "ARM 2.01"
                                    Produkttyp = "T 2.01"
                                End If
                            End If
                        ElseIf DammingMaterial = 1 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 5 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 6 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 7 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If
                    End If
                End If
            End If

            If Coated = 1 Then
                If Surface = 6 Then

                    '''''''''''''''''''''''
                    '
                    ' Lochdurchmesser
                    If Holediameter < 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 1 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0020"
                                Leistungserklärung = "ARM 2.03"
                                Produkttyp = "T 2.03"
                            End If
                        ElseIf DammingMaterial = 2 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0040"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 5 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 6 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0039"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 7 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0025"
                                Leistungserklärung = "ARM 2.05"
                                Produkttyp = "T 2.05"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0040"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If

                        End If

                    ElseIf Holediameter >= 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 1 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 5 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 6 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 7 Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If
                    End If
                End If
            End If

            ''''''''''''''''''''''''''''
            ' HAR / 19.01.2006 / new part
            If Coated = 3 Then
                CENumber = "C-s2,d0"
                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                Leistungserklärung = "ARM 2.06"
                Produkttyp = "T 2.06"
                Exit Function
            End If
            ''''''''''''''''''''''''''''

    End Function

    Private Function funGetValueDeckenALU()

        ' Deckenplatten - Alu
        ' -------------------------------------------
        ' -------------------------------------------

        On Error Resume Next


            ' Globaler Wert - gültig für alle Deckenplatten
            Emission = "E1"

            If Coated = 1 Then
                Haltbarkeit = "B"
            ElseIf Coated = 2 Then
                Haltbarkeit = "C"
            ElseIf Coated = 3 Then
                Haltbarkeit = "C"
            Else
                Haltbarkeit = ""
            End If

            'Schallabsorption und Wärmeleitfähigkeit
            Schallabsorption = ""
            Wärmeleitfähigkeit = ""
            If Perforated = False Then
                Schallabsorption = "aw = 0,10(L)"
                Wärmeleitfähigkeit = "0,244"
            End If
            If Perforation = "RG4022" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG0701" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,55(L)"
                    Wärmeleitfähigkeit = "0,163"
                Else
                    Schallabsorption = "aw = 0,35"
                    Wärmeleitfähigkeit = "NPD"
                End If
            ElseIf Perforation = "RG2516" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                Else
                    Schallabsorption = "aw = 0,15"
                    Wärmeleitfähigkeit = "NPD"
                End If
            ElseIf Perforation = "RD1522" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                Else
                    Schallabsorption = "aw = 0,15"
                    Wärmeleitfähigkeit = "NPD"
                End If
            ElseIf Perforation = "RD1506" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4006" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4011" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG1511" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG3013" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4015" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG12515" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RV1517" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD1506" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75(L)"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG3529" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG20034" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,75"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD2535" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RD4045" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,65"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "LV27045" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,70"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "TV26845" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,65"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RV4058" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,60"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG10059" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,65"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "QG10565" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,60"
                    Wärmeleitfähigkeit = "0,163"
                End If
            ElseIf Perforation = "RG14023" Then
                If DammingMaterial = 1 Or DammingMaterial = 7 Then
                    Schallabsorption = "aw = 0,80"
                    Wärmeleitfähigkeit = "0,163"
                End If
            End If

            '''''''''''''''''''''''''''''''''''''''''''''''''''''
            ' ELuger / 04.12.06 / =0 erweitert
            ' Beschichted
            If Coated = 0 Then
                CENumber = "A1"
                PrüfzertifikatsNummer = "2000/147/EG"
                If Jointstrip = True Then
                    CENumber = "B-s1,d0"
                    PrüfzertifikatsNummer = "1121-CPR-BC0027"
                    Leistungserklärung = "ARM 2.04"
                    Produkttyp = "T 2.04"
                End If
            End If

            If Coated = 2 Then ' beidseitig
                If Surface = 1 Or 5 Or 6 Then
                    If Perforated = True Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                    Else
                        If Jointstrip = False Then
                            CENumber = "A2-s1,d0"
                            PrüfzertifikatsNummer = "1121-CPR-BC0019"
                            Leistungserklärung = "ARM 2.02"
                            Produkttyp = "T 2.02"
                        Else
                            CENumber = "C-s2,d0"
                            PrüfzertifikatsNummer = "1121-CPR-BC0021"
                            Leistungserklärung = "ARM 2.06"
                            Produkttyp = "T 2.06"
                        End If
                    End If
                End If
            End If

            If Coated = 1 Then
                ' Oberfläche
                If Surface = 1 Then
                    ' Perforiert?
                    'If Perforated = True Then

                    ''''''''''''''''''''''''''''
                    ' HAR / 19.01.2006 / new part
                    If Coated = 3 Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                        Exit Function
                    End If
                    ''''''''''''''''''''''''''''

                    ' Lochdurchmesser
                    If Holediameter <= 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0019"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If

                    ElseIf Holediameter > 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0019"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A2-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0026"
                                Leistungserklärung = "ARM 2.02"
                                Produkttyp = "T 2.02"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If
                    End If
                End If
            End If


            If Coated = 1 Then
                ' Oberfläche
                If Surface = 5 Then
                    ' Perforiert?
                    'If Perforated = True Then

                    ''''''''''''''''''''''''''''
                    ' HAR / 19.01.2006 / new part
                    If Coated = 3 Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                        Exit Function
                    End If
                    ''''''''''''''''''''''''''''

                    ' Lochdurchmesser
                    If Holediameter <= 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0035"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If

                    ElseIf Holediameter > 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0027"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0035"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0028"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0038"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If
                    End If
                End If
            End If

            If Coated = 1 Then
                ' Oberfläche
                If Surface = 6 Then
                    ' Perforiert?
                    'If Perforated = True Then

                    ''''''''''''''''''''''''''''
                    ' HAR / 19.01.2006 / new part
                    If Coated = 3 Then
                        CENumber = "C-s2,d0"
                        PrüfzertifikatsNummer = "1121-CPR-BC0021"
                        Leistungserklärung = "ARM 2.06"
                        Produkttyp = "T 2.06"
                        Exit Function
                    End If
                    ''''''''''''''''''''''''''''

                    ' Lochdurchmesser
                    If Holediameter < 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0023"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If

                    ElseIf Holediameter >= 2.5 Then

                        ' Dämmmaterial
                        If DammingMaterial = 0 And Perforated = True Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 0 And Perforated = False Then
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 1 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 2 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 3 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        ElseIf DammingMaterial = 4 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 5 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "B-s1,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0049"
                                Leistungserklärung = "ARM 2.04"
                                Produkttyp = "T 2.04"
                            Else
                                CENumber = "A1"
                                PrüfzertifikatsNummer = "1121-CPR-BC0048"
                                Leistungserklärung = "ARM 2.01"
                                Produkttyp = "T 2.01"
                            End If
                        ElseIf DammingMaterial = 6 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            Else
                                CENumber = "NPD"
                                PrüfzertifikatsNummer = ""
                            End If
                        ElseIf DammingMaterial = 7 And Perforated = True Then
                            ' Fugenband?
                            If Jointstrip = True Then
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            Else
                                CENumber = "C-s2,d0"
                                PrüfzertifikatsNummer = "1121-CPR-BC0021"
                                Leistungserklärung = "ARM 2.06"
                                Produkttyp = "T 2.06"
                            End If
                        End If
                    End If
                End If
            End If

            If Surface = 2 Or Surface = 3 Then
                CENumber = "NPD"
                PrüfzertifikatsNummer = "."
                Leistungserklärung = "."
                Produkttyp = "."
            End If


    End Function

    Private Function funGetValueUK()

        ' -------------------------------------------
        ' UK-Teil
        ' -------------------------------------------

        On Error Resume Next

            ' gültig für alle UK-Teile
            Emission = "E1"

            If ProductCategory = 1 Then

                ' Alu
                If Material = 1 Then
                    '''''''''''''''''''''''''''''''''''''''''''''''''''''
                    ' ELuger / 04.12.06 / um =0 erweitert
                    ' Beschichted
                    If Coated = 0 Then
                        'If Surface = 0 Then
                        CENumber = "A1"
                        PrüfzertifikatsNummer = "2000/147/EG"
                        Leistungserklärung = "ARM 3.07"
                        Produkttyp = "T 3.07"
                        'End If
                    End If

                    If Coated > 0 Then
                        ' Oberfläche
                        If Surface = 1 Then
                            CENumber = "A2-s1,d0"
                            PrüfzertifikatsNummer = "1121-CPR-BC0019"
                            Leistungserklärung = "ARM 3.09"
                            Produkttyp = "T 3.09"
                        ElseIf Surface = 5 Then
                            CENumber = "A1"
                            PrüfzertifikatsNummer = "1121-CPR-BC0035"
                            Leistungserklärung = "ARM 3.08"
                            Produkttyp = "T 3.08"
                        ElseIf Surface = 6 Then
                            CENumber = "A1"
                            PrüfzertifikatsNummer = "1121-CPR-BC0048"
                            Leistungserklärung = "ARM 3.08"
                            Produkttyp = "T 3.08"
                        ElseIf Surface = 2 Or 3 Or 4 Then
                            CENumber = "NPD"
                            PrüfzertifikatsNummer = "."
                            Leistungserklärung = "."
                            Produkttyp = "."
                        End If
                    End If
                End If

                ' Stahl
                If Material = 2 Then
                    'Beschichted
                    If Coated = 0 Then
                        'If Surface < 2 Then
                        CENumber = "A1"
                        PrüfzertifikatsNummer = "2000/147/EG"
                        Leistungserklärung = "ARM 3.07"
                        Produkttyp = "T 3.07"
                        'End If
                    End If

                    If Coated > 0 Then
                        ' Oberfläche
                        If Surface = 1 Then
                            CENumber = "A2-s1,d0"
                            PrüfzertifikatsNummer = "1121-CPR-BC0019"
                            Leistungserklärung = "ARM 3.09"
                            Produkttyp = "T 3.09"
                        ElseIf Surface = 5 Then
                            CENumber = "A1"
                            PrüfzertifikatsNummer = "1121-CPR-BC0035"
                            Leistungserklärung = "ARM 3.08"
                            Produkttyp = "T 3.08"
                        ElseIf Surface = 6 Then
                            CENumber = "A1"
                            PrüfzertifikatsNummer = "1121-CPR-BC0048"
                            Leistungserklärung = "ARM 3.08"
                            Produkttyp = "T 3.08"
                        ElseIf Surface = 2 Or 3 Or 4 Then
                            CENumber = "NPD"
                            PrüfzertifikatsNummer = "."
                            Leistungserklärung = "."
                            Produkttyp = "."
                        End If
                    End If
                End If
            End If
    End Function


